/Users/bernard/b20/bsoft/include/rwPIF.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwPIF.h - Header file for reading and writing PIF files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct PIFhead
struct PIFcolor
struct PIFimagehead
struct PIFimagehead_new

  Macros
#define PIFSIZE 1024

  Functions
int readPIF (Bimage *p, int readdata, int img_select)
Reading a PIF image and structure factor file format. A 2D and 3D image format used in electron microscopy. There are two types of files:
int writePIF (Bimage *p)
Writing a PIF image file format. A 2D and 3D image format used in electron microscopy.

Detailed Description

Header file for reading and writing PIF files.

Author:
    Bernard Heymann

Date:
    Created: 19991112

    Modified: 20111218

    Format: 3D crystallographic image file format for the Purdue package

Definition in file rwPIF.h.

Macro Definition Documentation

  #define PIFSIZE 1024

Definition at line 13 of file rwPIF.h.

Function Documentation

  int readPIF (Bimage * p, int readdata, int img_select)

Reading a PIF image and structure factor file format. A 2D and 3D image format used in electron microscopy. There are two types of files:

1.  A typical binary image format with a file header and a header for each sub-image.

2.  A binary structure factor format with the same file header as for the image format File header size: 512 bytes followed by optional 768 byte colour table Image header size: 512 bytes for each image File format extensions: .pif Identifier: supposed to be the first 8 bytes Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 0 = byte, 1 = short, 2 = float, 3 = complex short, 4 = complex float. Transform type: List of structure factors. Note: To avoid endianness problems associated with different floating point formats (particularly those under VMS), this format was intended to store only integers. A 16 byte string following the 8th byte encodes a floating point conversion scale to convert an integer map and some of the fields in the header back to floating point. However, this format was designed in the CCP4/MRC style format, and the floating point data type was retained, as well as complex types used for transforms.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int error code (<0 means failure).

Definition at line 60 of file rwPIF.cpp.

  int writePIF (Bimage * p)

Writing a PIF image file format. A 2D and 3D image format used in electron microscopy.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 370 of file rwPIF.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.